%define	module	Crypt-SSLeay
%define	name	perl-%{module}
%define	version	0.57
%define	release	%mkrel 3

Summary:	Support for the https protocol under LWP
Name:		%{name}
Version:	%version
Release:	%release
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{version}.tar.bz2
Patch0:		perl-Crypt-SSLeay-cryptdef.patch
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-URI
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep

%setup -q -n %{module}-%{version}
%patch0 -p1 -b .cryptdef

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.57-3mdv2009.0
+ Revision: 223585
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.57-2mdv2008.1
+ Revision: 151352
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2008.1
+ Revision: 97435
- update to new version 0.57

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-2mdv2008.0
+ Revision: 90052
- rebuild

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2008.0
+ Revision: 52487
- update to new version 0.56

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2008.0
+ Revision: 46617
- update to new version 0.55

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2008.0
+ Revision: 19316
- 0.54


* Mon Jan 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.53-1mdv2007.0
+ Revision: 106109
- 0.53

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Crypt-SSLeay

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.51-6mdk
- added P0,P1,P2 from fedora

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-5mdk
- Rebuild for new perl

* Fri Jun 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-4mdk
- Remove unneeded virtual package SSLeay.pm

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.51-3mdk
- rebuild
- Own dir

